Bug 40203 - Upgrade to 2.2.19-6.2.1 breaks TSM client (adsm-backup)
Upgrade to 2.2.19-6.2.1 breaks TSM client (adsm-backup)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-11 05:28 EDT by Andreas Metzler
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logfiles (1.43 KB, text/plain)
2001-05-11 05:34 EDT, Andreas Metzler
no flags Details

  None (edit)
Description Andreas Metzler 2001-05-11 05:28:36 EDT
Description of Problem:
Since I upgraded to kernel 2.2.19-6.2.1 RHSA-2001:047-03, the
client for Tivoli Storage Manager (TSM, formerly known as ADSM)
ceased to work, it runs nicely for about two minutes, but then it
suddenly becomes *very* slow (1MB/5minutes), which makes it unusable.
I can reproduce this every time I use the program.

System Information
RH Linux 6.2+all RHSA/RHEA updates.
TSM-Client 3.7.2.0-1. The upgrade to 4.1.2-1 did not help.
PII-Processor
NIC: Intel PCI EtherExpress Pro100 82557, Primary interface chip i82555.
Comment 1 Andreas Metzler 2001-05-11 05:34:52 EDT
Created attachment 18127 [details]
logfiles
Comment 2 Arjan van de Ven 2001-05-11 08:34:17 EDT
Which networkdriver are you using e100 or eepro100 ?
Comment 3 Andreas Metzler 2001-05-11 08:48:20 EDT
eepro100

Additional info:
dmesg: eepro100.c:v1.09j-t 9/29/99 Donald Becker 
http://cesdis.gsfc.nasa.gov/linux/driv
ers/eepro100.html
eepro100.c: $Revision: 1.20.2.10 $ 2000/05/31 Modified by Andrey V. Savochkin <s
aw@saw.sw.com.sg> and others
eepro100.c: VA Linux custom, Dragan Stancevic <visitor@valinux.com> 2000/11/15
eth0: Intel PCI EtherExpress Pro100 82557, 00:90:27:36:C3:CA, I/O at 0xa800, IRQ
 11.
  Receiver lock-up bug exists -- enabling work-around.
  Board assembly 701738-003, Physical connectors present: RJ45
  Primary interface chip i82555 PHY #1.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x24c9f043).
  Receiver lock-up workaround activated.

mii-diag yields:
Using the default interface 'eth0'.
Basic registers of MII PHY #1:  3000 782d 02a8 0150 05e1 41e1 0001 ffff.
 Basic mode control register 0x3000: Auto-negotiation enabled.
 You have link beat, and everything is working OK.
 Your link partner advertised 41e1: 100baseTx-FD 100baseTx 10baseT-FD 10baseT.

ifconfig 
eth0      Link encap:Ethernet  HWaddr 00:90:[...]
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:7483554 errors:0 dropped:0 overruns:0 frame:2
          TX packets:10075515 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          Interrupt:11 Base address:0xa800 

tia, cu andreas
Comment 4 Arjan van de Ven 2001-05-11 08:52:32 EDT
Could you try using the e100 driver instead? it seems to work better for
some versions of the networkcard. Just change "eepro100" to "e100" in
/etc/modules.conf.
Comment 5 Andreas Metzler 2001-05-11 11:30:43 EDT
I did, but only the error message changed:
2001-05-11 17:28:08 Return code 0 unknown
2001-05-11 17:28:08 Return code 0 unknown
2001-05-11 17:28:08 ANS1228E Sending of object 
'/home/3.14/.netscape/bookmarks.html' failed
Comment 6 Andreas Metzler 2001-05-12 12:33:05 EDT
I crosschecked and booted 2.2.17-14 again  and tsmc worked nicely, it has to be the 
kernel.
Comment 7 Arjan van de Ven 2001-05-12 12:36:50 EDT
Dave: did networkbehavior change 2.2.17 -> 2.2.19 ?
Comment 8 Andreas Metzler 2001-05-14 06:10:54 EDT
Not that I am aware of it, suggested tests?
Comment 9 Bugzilla owner 2004-09-30 11:38:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.